org.apache.fop.render.bitmap

## Enum BitmapRendererOption

- java.lang.Object
- - java.lang.Enum<BitmapRendererOption>
  - - org.apache.fop.render.bitmap.BitmapRendererOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BitmapRendererOption>, RendererConfigOption

      public enum BitmapRendererOption
      extends java.lang.Enum<BitmapRendererOption>
      implements RendererConfigOption

  An enumeration of the Bitmap renderer configuration opetions available to the user via the FOP conf.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTI_ALIASING`
    `BACKGROUND_COLOR`
    `COLOR_MODE`
    `COLOR_MODE_BILEVEL`
    `COLOR_MODE_BINARY`
    `COLOR_MODE_GRAY`
    `COLOR_MODE_RGB`
    `COLOR_MODE_RGBA`
    `JAVA2D_TRANSPARENT_PAGE_BACKGROUND`
    `RENDERING_QUALITY`
    `RENDERING_QUALITY_ELEMENT`
    `RENDERING_SPEED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDefaultValue()`
    `java.lang.String` | `getName()` The name of the option.
    `static BitmapRendererOption` | `getValue(java.lang.String str)`
    `static BitmapRendererOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BitmapRendererOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA2D_TRANSPARENT_PAGE_BACKGROUND

          public static final BitmapRendererOption JAVA2D_TRANSPARENT_PAGE_BACKGROUND

    - #### BACKGROUND_COLOR

          public static final BitmapRendererOption BACKGROUND_COLOR

    - #### ANTI_ALIASING

          public static final BitmapRendererOption ANTI_ALIASING

    - #### RENDERING_QUALITY_ELEMENT

          public static final BitmapRendererOption RENDERING_QUALITY_ELEMENT

    - #### RENDERING_QUALITY

          public static final BitmapRendererOption RENDERING_QUALITY

    - #### RENDERING_SPEED

          public static final BitmapRendererOption RENDERING_SPEED

    - #### COLOR_MODE

          public static final BitmapRendererOption COLOR_MODE

    - #### COLOR_MODE_RGBA

          public static final BitmapRendererOption COLOR_MODE_RGBA

    - #### COLOR_MODE_RGB

          public static final BitmapRendererOption COLOR_MODE_RGB

    - #### COLOR_MODE_GRAY

          public static final BitmapRendererOption COLOR_MODE_GRAY

    - #### COLOR_MODE_BINARY

          public static final BitmapRendererOption COLOR_MODE_BINARY

    - #### COLOR_MODE_BILEVEL

          public static final BitmapRendererOption COLOR_MODE_BILEVEL

  - ### Method Detail

    - #### values

          public static BitmapRendererOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BitmapRendererOption c : BitmapRendererOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BitmapRendererOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      The name of the option.
      Specified by:
        `getName` in interface `RendererConfigOption`

    - #### getDefaultValue

          public java.lang.Object getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `RendererConfigOption`

    - #### getValue

          public static BitmapRendererOption getValue(java.lang.String str)

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.